gnutls_x509_dn_set_str(3)

NAME
gnutls_x509_dn_set_str - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_dn_set_str(gnutls_x509_dn_t dn, const char * str, const char ** err);

ARGUMENTS

gnutls_x509_dn_t dn
    a pointer to DN

const char * str
    a comma separated DN string (RFC4514)

const char ** err
    indicates the error position (if any)

DESCRIPTION
This function will set the DN on the provided DN structure. The input string should be plain ASCII or UTF-8 encoded. On DN parsing error GNUTLS_E_PARSING_ERROR is returned.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.5.3

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/